## org.apache.xerces.impl.xs
Class AttributePSVImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.AttributePSVImpl

All Implemented Interfaces:
  org.apache.xerces.xni.psvi.AttributePSVI, org.apache.xerces.xni.psvi.ItemPSVI

public class AttributePSVImpl
extends java.lang.Object
implements org.apache.xerces.xni.psvi.AttributePSVI

Attribute PSV infoset augmentations implementation. The PSVI information for attributes will be available at the startElement call.

Version:
  $Id: AttributePSVImpl.java,v 1.15 2003/01/20 13:55:56 elena Exp $
Author:
  Elena Litani IBM

Field Summary
`protected XSAttributeDeclaration` `fDeclaration` attribute declaration
`protected java.lang.String[]` `fErrorCodes` error codes
`protected XSSimpleTypeDefinition` `fMemberType` member type definition against which attribute was validated
`protected java.lang.String` `fNormalizedValue` schema normalized value property
`protected java.lang.String` `fSchemaDefault` schema default
`protected boolean` `fSpecified` If this attribute was explicitly given a value in the original document, this is false; otherwise, it is true
`protected XSTypeDefinition` `fTypeDecl` type of attribute, simpleType
`protected short` `fValidationAttempted` validation attempted: none, partial, full
`protected java.lang.String` `fValidationContext` validation context: could be QName or XPath expression
`protected short` `fValidity` validity: valid, invalid, unknown

Fields inherited from interface org.apache.xerces.xni.psvi.ItemPSVI
`VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_NOTKNOWN, VALIDITY_VALID`

Constructor Summary
`AttributePSVImpl()`

Method Summary
`XSAttributeDeclaration` `getAttributeDeclaration()` An item isomorphic to the attribute declaration used to validate this attribute.
`StringList` `getErrorCodes()` A list of error codes generated from validation attempts.
`boolean` `getIsSchemaSpecified()` [schema specified]
`XSSimpleTypeDefinition` `getMemberTypeDefinition()` If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
`java.lang.String` `getSchemaDefault()` [schema default]
`java.lang.String` `getSchemaNormalizedValue()` [schema normalized value]
`XSTypeDefinition` `getTypeDefinition()` An item isomorphic to the type definition used to validate this element.
`short` `getValidationAttempted()` Determines the extent to which the document has been validated
`java.lang.String` `getValidationContext()` [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
`short` `getValidity()` Determine the validity of the node with respect to the validation being attempted
`void` `reset()` Reset()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fDeclaration

    protected XSAttributeDeclaration fDeclaration

  attribute declaration

### fTypeDecl

    protected XSTypeDefinition fTypeDecl

  type of attribute, simpleType

### fSpecified

    protected boolean fSpecified

  If this attribute was explicitly given a value in the original document, this is false; otherwise, it is true

### fNormalizedValue

    protected java.lang.String fNormalizedValue

  schema normalized value property

### fMemberType

    protected XSSimpleTypeDefinition fMemberType

  member type definition against which attribute was validated

### fValidationAttempted

    protected short fValidationAttempted

  validation attempted: none, partial, full

### fValidity

    protected short fValidity

  validity: valid, invalid, unknown

### fErrorCodes

    protected java.lang.String[] fErrorCodes

  error codes

### fValidationContext

    protected java.lang.String fValidationContext

  validation context: could be QName or XPath expression

### fSchemaDefault

    protected java.lang.String fSchemaDefault

  schema default

Constructor Detail

### AttributePSVImpl

    public AttributePSVImpl()

Method Detail

### getSchemaDefault

    public java.lang.String getSchemaDefault()

  [schema default]
  Specified by:
    `getSchemaDefault` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
  Returns:
    The canonical lexical representation of the declaration's {value constraint} value.
  See Also:

    ### getSchemaNormalizedValue

        public java.lang.String getSchemaNormalizedValue()

      [schema normalized value]
      Specified by:
        `getSchemaNormalizedValue` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
      Returns:
        the normalized value of this item after validation
      See Also:

        ### getIsSchemaSpecified

            public boolean getIsSchemaSpecified()

          [schema specified]
          Specified by:
            `getIsSchemaSpecified` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            true - value was specified in schema, false - value comes from the infoset
          See Also:
            XML Schema Part 1: Structures [schema specified]

        ### getValidationAttempted

            public short getValidationAttempted()

          Determines the extent to which the document has been validated
          Specified by:
            `getValidationAttempted` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            return the [validation attempted] property. The possible values are NO_VALIDATION, PARTIAL_VALIDATION and FULL_VALIDATION

        ### getValidity

            public short getValidity()

          Determine the validity of the node with respect to the validation being attempted
          Specified by:
            `getValidity` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            return the [validity] property. Possible values are: UNKNOWN_VALIDITY, INVALID_VALIDITY, VALID_VALIDITY

        ### getErrorCodes

            public StringList getErrorCodes()

          A list of error codes generated from validation attempts. Need to find all the possible subclause reports that need reporting
          Specified by:
            `getErrorCodes` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            list of error codes

        ### getValidationContext

            public java.lang.String getValidationContext()

          Description copied from interface: `org.apache.xerces.xni.psvi.ItemPSVI`
          [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
          Specified by:
            `getValidationContext` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Following copied from interface: `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            The nearest ancestor element information item with a [schema information] property (or this element item itself if it has such a property)
          See Also:
            XML Schema Part 1: Structures [validation context]

        ### getTypeDefinition

            public XSTypeDefinition getTypeDefinition()

          An item isomorphic to the type definition used to validate this element.
          Specified by:
            `getTypeDefinition` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            a type declaration

        ### getMemberTypeDefinition

            public XSSimpleTypeDefinition getMemberTypeDefinition()

          If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
          Specified by:
            `getMemberTypeDefinition` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            a simple type declaration

        ### getAttributeDeclaration

            public XSAttributeDeclaration getAttributeDeclaration()

          An item isomorphic to the attribute declaration used to validate this attribute.
          Specified by:
            `getAttributeDeclaration` in interface `org.apache.xerces.xni.psvi.AttributePSVI`
          Returns:
            an attribute declaration

        ### reset

            public void reset()

          Reset()

        Copyright © 1999-2003 Apache XML Project. All Rights Reserved.